package com.hai.service;

import com.hai.entity.HighCouponCodeOther;

import java.util.List;
import java.util.Map;

public interface HighCouponCodeOtherService {

    /**
     * 查询列表
     * @param map
     * @return
     */
    List<HighCouponCodeOther> getList(Map<String,Object> map);

    /**
     * 查询详情
     * @param couponAgentCodeId
     * @return
     */
    HighCouponCodeOther getDetailByCouponAgentCodeId(Long couponAgentCodeId);

    /**
     * 根据卡券号查询
     * @param couNo
     * @return
     */
    HighCouponCodeOther getDetailByCouNo(String couNo);

}
